% dns-replay-controller(1)
% Liang Zhu <liangzhu@isi.edu>
% October 22, 2016

# NAME

dns-replay-controller - read DNS query input and distribute to replay clients

# SYNOPSIS

dns-replay-controller [-i *FORMAT:PATH*] [-o *OUPUT*] [-a *ADDRESS*] [-p *PORT*]
		     [-n *NUMBER*] [-l *SECONDS*] [-v] [-V] [-h]

# DESCRIPTION

dns-replay-controller reads DNS query stream and distributes queries to replay clients

It accepts three different types of input:

network trace: any format accepted by libtrace, such as pcap and erf
file

plain text: a Fsdb file where each line contains data elements (time,
source ip, query name, query class, query type, protocol ) delimited
by spaces.

customized binary: a binary file converted use a separated program
fsdb2raw

# OPTIONS

`-i` *FORMAT:PATH*
:   input stream, format and file separated by colon like FORMAT:FILE.
    Accepted format: 'trace' (network trace), 'text' (plain text Fsdb), 'raw' (customized binary).
    Use '-' as FILE to read from standard input.

`-o` *FILE*
:   specify output file which contains the output data from clients, '-' for standard output

`-a` *ADDRESS*
:   address to listen on

`-p` *PORT*
:   port number to listen on

`-n` *NUMBER*
:   the total number of clients allowed

`-l` *SECONDS*
:   preload seconds of trace, used to control memory consumption
    default is none (0 or negative integer): read all in memory

`-h/--help`
:   print help message

`-v/--verbose`
:   verbose log; default is none

`-V/--version`
:   show the program version

# EXAMPLES

1. running at port 10053 on 192.168.1.100 and only allow 5 clients

   ./dns-replay-controller -a 192.168.1.100 -p 10053 -n 5


# INSTALLATION

To build, type "make".

It requires the following packages on Fedora:
   ldns-devel
   libtrace-devel
   libevent-devel
   protobuf-devel

# ALSO SEE

Fsdb(3), dns-replay-client(1), fsdb2raw(1)

# CHANGES
* 0.1, 2016-10-22: initial release
